Probe Basic main screen doesn't show loaded toolpath

More
05 Nov 2021 20:48 #225426 by ucancallmebob89
Hey guys,

I have a relatively new installation of probe basic for my DIY CNC router. I like the layout of probe basic, but the 3D area on the main screen won't show the toolpath that I have queued up for some reason like it does with the Axis GUI. It just shows where the tool moves in 3D space without previewing the toolpath. Does anyone know what's going on here?

I'd expect it to show something similar to the Axis GUI view:

ow how to fix that?

Please Log in or Create an account to join the conversation.

More
10 Nov 2021 18:18 #226017 by Joco
Can you let us know what version you are trying to run? How you installed it?
 Tests on the python3 branch show all working as expected. 

Please Log in or Create an account to join the conversation.

More
11 Nov 2021 05:25 #226066 by Lcvette
As Joco said you need to provide more information, first thing is what install type? quick start using the installer program? or dev version? your linux OS? have you tried the simulation? does it show there?

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 17:04 #233284 by blauerklappstuhl
Hi!
I have the same problem. Linuxcnc 2.8 Probebasic 0.4.0 with "quick-install". No preview is shown of loaded gcode, only "recorded" movement with yellow lines.

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 17:08 #233285 by Lcvette

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 17:33 - 27 Jan 2022 17:36 #233286 by blauerklappstuhl
here some infos:
Linux cnc 4.19.0-11-rt-amd64 #1 SMP PREEMPT RT Debian 4.19.146-1 (2020-09-17) x86_64 GNU/Linux
Linuxcnc 2.8.1
Probebasic 0.4.0
Quickstart
everything else is working fine
ProbebasicSIM shows same issue
Program boundarys are recognized, but no tool pathshown:

 
Attachments:
Last edit: 27 Jan 2022 17:36 by blauerklappstuhl.

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 17:40 - 27 Jan 2022 17:41 #233288 by Lcvette
I just installed to test and no issue with the vtk as you describe so I'm going to venture it's a compatibility issue, can you provide your machine specifications and your video card and driver and openGL version.
Last edit: 27 Jan 2022 17:41 by Lcvette.

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 17:52 - 27 Jan 2022 17:55 #233291 by blauerklappstuhl
Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
4gb RAM

NVIDIA Corporation C79 [GeForce 9300 / nForce 730i] (rev b1)
Kernel driver in use: nouveau
Kernel modules: nouveau
OpenGL version string: 3.3 (Compatibility Profile) Mesa 18.3.6

in axissim gcode-path shows up normally

tried nvidia drivers, which killed my system, had to reinstall linux
Last edit: 27 Jan 2022 17:55 by blauerklappstuhl.

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 18:22 - 27 Jan 2022 18:30 #233295 by Lcvette
axis uses a different backplotter that is not compatible with qtpyvcp, qtpyvcp uses vtk for backplotting and there are some known compatibility issues but it was previously thought to only be with openGL versions older than 1.5. I also know that rpi's have some vtk compatibility issues.

during the installation did you run the line in step 3? in terminal?

sudo apt install python-pyqt5 python-pyqt5.qtquick python-dbus.mainloop.pyqt5 python-pyqt5.qtopengl python-pyqt5.qsci python-pyqt5.qtmultimedia qml-module-qtquick-controls gstreamer1.0-plugins-bad libqt5multimedia5-plugins pyqt5-dev-tools python-dev python-wheel python-setuptools python-pip git python-pyqtgraph python-pyqt5.qtwebkit

and did it succeed or have errors?
Last edit: 27 Jan 2022 18:30 by Lcvette.

Please Log in or Create an account to join the conversation.

More
27 Jan 2022 18:28 #233296 by blauerklappstuhl
there were no errors.
just checked again:

git ist schon die neueste Version (1:2.20.1-2+deb10u3).
gstreamer1.0-plugins-bad ist schon die neueste Version (1.14.4-1+deb10u2).
pyqt5-dev-tools ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-dbus.mainloop.pyqt5 ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-pyqt5 ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-pyqt5.qtmultimedia ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-pyqt5.qtopengl ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-pyqt5.qtquick ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-pyqt5.qtwebkit ist schon die neueste Version (5.11.3+dfsg-1+b3).
python-dev ist schon die neueste Version (2.7.16-1).
python-pip ist schon die neueste Version (18.1-5).
python-pyqtgraph ist schon die neueste Version (0.10.0-1).
python-setuptools ist schon die neueste Version (40.8.0-1).
python-pyqt5.qsci ist schon die neueste Version (2.10.4+dfsg-2.1).
libqt5multimedia5-plugins ist schon die neueste Version (5.11.3-2).
qml-module-qtquick-controls ist schon die neueste Version (5.11.3-2).
python-wheel ist schon die neueste Version (0.32.3-2).
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 145 nicht aktualisiert.

Please Log in or Create an account to join the conversation.

Moderators: KCJLcvette
Time to create page: 0.109 seconds
Powered by Kunena Forum